ssh2_auth_hostbased_file
ssh2_auth_password
SSH2 Functions
PHP Manual

# ssh2_auth_none

(PECL ssh2:0.10-0.9)

ssh2_auth_none — Authenticate as "none"

### Description

mixed ssh2_auth_none ( resource `$session` , string `$username` )

Attempt "none" authentication which usually will (and should) fail. As part of the failure, this function will return an array of accepted authentication methods.

### Parameters

`session`

  An SSH connection link identifier, obtained from a call to ssh2_connect().

`username`

  Remote user name.

### Return Values

Returns `TRUE` if the server doesc accept "none" as an authentication method, or an array of accepted authentication methods on failure.

### Examples

Example #1 Retreiving a list of authentication methods

`<?php
$connection = ssh2_connect('shell.example.com', 22);
$auth_methods = ssh2_auth_none($connection, 'user');
if (in_array('password', $auth_methods)) {
echo "Server supports password based authentication\n";
}
?>`

ssh2_auth_hostbased_file
ssh2_auth_password
SSH2 Functions
PHP Manual